Parse error, unexpected T_OBJECT_OPERATOR – php



When upgrading/updating from WordPress 2.9.2 to 3.4.1 I received the following error

Parse error, unexpected T_OBJECT_OPERATOR

You will find various forums discussing this error. Many users have suggested different solutions. But in most cases the reason is that you are not using php5 version on your server. Instruct your host to switch to php5 or above version. You should be able to do it from your website’s admin control panel also.

Thanks :)